# Generated by Django 4.1.7 on 2023-03-07 15:19

from django.db import migrations, models

from arkindex.ponos.models import task_token_default


def add_task_tokens(apps, schema_editor):
    Task = apps.get_model('ponos', 'Task')
    to_update = []
    for task in Task.objects.filter(token=None).only('id').iterator():
        task.token = task_token_default()
        to_update.append(task)
    Task.objects.bulk_update(to_update, ['token'], batch_size=100)


class Migration(migrations.Migration):

    dependencies = [
        ('ponos', '0036_hstore_task_env_and_extra_files'),
    ]

    operations = [
        migrations.AddField(
            model_name='task',
            name='token',
            field=models.CharField(
                max_length=52,
                # Make the field temporarily nullable and not unique, so that we can
                # fill the tokens on existing tasks before adding the constraints.
                null=True,
            ),
        ),
        migrations.RunPython(
            add_task_tokens,
            reverse_code=migrations.RunPython.noop,
        ),
    ]
