# Generated by Django 4.1.7 on 2023-03-09 15:55

from django.db import migrations


def promote_internal_to_admin(apps, schema_editor):
    User = apps.get_model('users', 'User')
    if User.objects.filter(is_internal=True).exists():
        print('\nThe following internal users will be promoted to admins:')
        print('\n'.join(User.objects.filter(is_internal=True).values_list('email', flat=True)))
        User.objects.filter(is_internal=True).update(is_admin=True)


class Migration(migrations.Migration):

    dependencies = [
        ('users', '0019_group_use_in_new_project'),
    ]

    operations = [
        migrations.RunPython(
            promote_internal_to_admin,
            reverse_code=migrations.RunPython.noop,
        ),
        migrations.RemoveField(
            model_name='user',
            name='is_internal',
        ),
    ]
